Subject: Re: bug#60990: 29.0.60; New seq release 2.24

From: Daniel Mendler <[email-masked]>
Date: Mon, 4 Sep 2023 23:12:08 +0200

On 9/4/23 22:11, Stefan Monnier wrote:
>> Thanks! Btw, it seems that seq 2.24 is the last version which can be
>> distributed via ELPA since Emacs 29 preloads seq.
> 
> Maybe it's OK to leave seq at 2.24 on ELPA.  The main purpose of putting
> it up on ELPA was to encourage adoption and accommodate changes more
> easily, but it's now mature enough that changes are fairly slow, so we
> can now rely on "the usual" solutions to deal with compatibility issues,
> I think.

What do you see as '"the usual" solutions'? To be concrete, if new seq-*
functions are added in Emacs 30 do you consider it a viable solution if
we add backports to Compat or not? They would land in compat-30.el,
which is not yet part of the released Compat version.

Daniel